<!doctype html>

{% assign sanitisedLang = page.lang %}
{% if sanitisedLang == nil %}
    {% assign sanitisedLang = 'en' %}
{% endif %}

<html>
  <head>
    <meta charset="utf-8">
    <title>{{site.data.localisations.dotarota[sanitisedLang]}} - {{ page.title }}</title>

    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/main.css">
    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/bootstrap_slate_theme.css">

    <!-- Initialize the list of things matching this tag -->
    <!-- TODO: jsonifying the pages seems to cause some interesting problems
    <script>
      var listInfo = {{ listElements | jsonify }};
    </script>

    <script src="{{site.baseurl}}/js/listManager.js"> </script>
    -->

  </head>
  <body>
    <div class="topbar">
      {% include topbar.html %}
    </div>
    <div class="central">
        <div class="navbar">
            {% capture navContext %}/en/{% endcapture %}
            {% include nav.html context=navContext %}
        </div>
        <div class="main">

          {% assign actualPage = page %}
          {% if actualPage.duplicateFromOriginal or page.isStub %}
            {% assign actualPage = site.pages | where: 'lang', 'en' | where: 'content_id', page.content_id | first %}
          {% endif %}

          {% assign sortMetric = page.sortMetric %}
          {% if sortMetric == nil %}
            {% assign sortMetric = 'list-ranking' %}
          {% endif %}

          {% assign listElements = site.pages | where: 'lang', 'en' | where: 'contentType', page.listType | sort: sortMetric %}
          {% if page.sortReverse %}
            {% assign listElements = listElements | reverse %}
          {% endif %}

          {% if page.isStub %}
            <div class="premonition warning">
              <div class="fa fa-exclamation-circle"></div>
              <div class="content"><p class="header">{{ site.data.localisations.localised_page_unavailable_title[page.lang] }}</p>
              <p>{{ site.data.localisations.localised_page_unavailable[page.lang] }}</p>
            </div></div>
          {% endif %}

          {{ actualPage.content }}

          <div id="plainListContainer">

            {% assign counter = 0 %}
            
            {% for entry in listElements %}

              {% assign locale = entry.url | slice:0,4 %}
              {% assign unlocalised = entry.url %}

              {% for supportedLang in site.data.localisations.locales %}
                  {% assign testString = '/' | append: supportedLang | append: '/' %}
                  {% if testString == locale %}
                      {% assign unlocalised = unlocalised | remove_first: locale %}
                      {% break %}
                  {% endif %}
              {% endfor %}

              {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}
              {% endcapture %}

              {% assign localisedVersion = site.pages | where: 'lang', page.lang | where: 'content_id', entry.content_id | first %}
              {% assign actualEntry = entry %}
              {% if localisedVersion %}
                {% assign actualEntry = localisedVersion %}
              {% endif %}


            <a class="plainListLink" href="{{link}}">
              {% assign counter = counter | plus: 1 %}
              {% if actualPage.includeCounter %}{{counter}}. {% endif %}
              {{ actualEntry.title }}
              {% if actualEntry.author %}({{ site.data.localisations.written_by[page.lang] }} {{actualEntry.author }}){% endif %}
              {% if actualEntry.post-date %}<div class="blogDate"> {{actualEntry.post-date}}</div> {% endif %}
            </a>

            {% endfor %}
          </div>

        </div>
    </div>

    <div class="botbar">
      {% include botbar.html %}
    </div>

  </body>
</html>